clear all; clc; close all;

%LOAD DATA FROM WORLD TOP INCOME DATABASE http://www.wid.world/

% YEARS
load '../data_input/T2012XIncome.txt';

% INCOME (EXCL. CAPITAL GAINS)
load '../data_input/T2012IncomeExclGainTop01.txt';
load '../data_input/T2012IncomeExclGainTop1.txt';
load '../data_input/T2012IncomeExclGainTop10.txt';

start = 1;
income_year = T2012XIncome(start:end);
income_top1 = T2012IncomeExclGainTop1(start:end);
income_top10 = T2012IncomeExclGainTop10(start:end);
income_top01 = T2012IncomeExclGainTop01(start:end);

%TOP 1% INCOME SHARE
figure
plot(income_year,income_top1,'b','LineWidth',2)
set(gca,'FontSize',16)
xlabel('Year')
ylabel('Top 1% Income Share (excl. Capital Gains)')
ylim([7 20])
xlim([1950 2012])
grid
print -depsc ../figures/fig1a.eps

%FRACTAL INEQUALITY GRAPH
figure
h1 = plot(income_year,income_top01./income_top1,'r',income_year,income_top1./income_top10,'b','LineWidth',2);
set(gca,'FontSize',16)
legend(h1,'S(0.1)/S(1)','S(1)/S(10)','Location','NorthWest')
xlabel('Year')
ylabel('Relative Income Share')
ylim([0.23 0.45])
xlim([1950 2012])
grid
print -depsc ../figures/fig1b.eps