clear all; clc; close all;
delta=1/30;

z0 = 1/0.39;
z = 1/0.66;

mu0=delta*(1/z0);%The old growth rate
mu=delta*(1/z);%The new growth rate

z0=delta/mu0;
z=delta/mu;

a=z0;

syms x t%Change t=0.00001 10 20 and 10000 to plot different curves

xmax = 3;

p=z*exp(-z*x)*heaviside(-x+mu*t)+z0*exp(-z0*x+(z0-z)*mu*t)*heaviside(x-mu*t);

close all
ez0=ezplot(log(subs(p,t,0.00001)),[0 xmax]);
hold on;
ez20=ezplot(log(subs(p,t,20)),[0 xmax]);
hold on;
ez40=ezplot(log(subs(p,t,40)),[0 xmax]);
hold on;
ezinf=ezplot(log(subs(p,t,10000)),[0 xmax]);
set(ez0,'linestyle','-','color','b','LineWidth',2);
set(ez20,'linestyle','-.','color','r','LineWidth',2);
set(ez40,'linestyle',':','color','m','LineWidth',2);
set(ezinf,'linestyle','--','color','k','LineWidth',2)
set(gca,'FontSize',16)
legend('t=0','t=10','t=20','t=\infty','Location','SouthWest')
xlabel('Log Income, x')
ylabel('Log Density, log p(x,t)')
% set(gca, 'YTick', []);
% set(gca, 'XTick', []);
xlim([0.01 xmax])
title(' ')
print -depsc ../figures/fig2a.eps