clear all; close all; clc;
delta=1/30;
sigma=0.1;

z0 = 1/0.39;
z = 1/0.66;

mu0=delta*(1/z0) - sigma^2/2*z0;%The old growth rate
mu=delta*(1/z) - sigma^2/2*z;%The new growth rate

z0=(-mu0+sqrt(mu0^2+2*sigma^2*delta))/sigma^2;
z=(-mu+sqrt(mu^2+2*sigma^2*delta))/sigma^2;

a=z0;

syms x t%Change t=0.00001 10 20 and 10000 to plot different curves

xmax = 3;

P=exp(-z*x)+...
    exp((-delta+mu*a+0.5*a^2*sigma^2)*t)*(exp(-a*x)*normcdf((-(a*sigma^2+mu)*t+x)/(sigma*sqrt(t)))-exp((a+2*mu/sigma^2)*x)*normcdf((-(a*sigma^2+mu)*t-x)/(sigma*sqrt(t))))-...
    exp((-delta+mu*z+0.5*z^2*sigma^2)*t)*(exp(-z*x)*normcdf((-(z*sigma^2+mu)*t+x)/(sigma*sqrt(t)))-exp((z+2*mu/sigma^2)*x)*normcdf((-(z*sigma^2+mu)*t-x)/(sigma*sqrt(t))));

ez0=ezplot(log(-diff(subs(P,t,0.00001),x)),[0 xmax]);
hold on;
ez20=ezplot(log(-diff(subs(P,t,20),x)),[0 xmax]);
hold on;
ez40=ezplot(log(-diff(subs(P,t,40),x)),[0 xmax]);
hold on;
ezinf=ezplot(log(-diff(subs(P,t,10000),x)),[0 xmax]);

set(ez0,'linestyle','-','color','b','LineWidth',2);
set(ez20,'linestyle','-.','color','r','LineWidth',2);
set(ez40,'linestyle',':','color','m','LineWidth',2);
set(ezinf,'linestyle','--','color','k','LineWidth',2)
set(gca,'FontSize',16)
legend('t=0','t=10','t=20','t=\infty','Location','SouthWest')
xlabel('Log Income, x')
ylabel('Log Density, log p(x,t)')
% set(gca, 'YTick', []);
% set(gca, 'XTick', []);
xlim([0.01 xmax])
title(' ')
print -depsc ../figures/fig2b.eps