clear all; clc; close all;

eta0 = 0.43;
alpha = 1/eta0;
sig = 0.1;
sig2 = sig^2;
death = 1/30;
mu = death/alpha -alpha*(sig2/2);

sig_new = 0.158;
sig2_new = sig_new.^2;

ze = (-mu + sqrt(mu^2 + 2*sig2_new*death))/sig2_new

xi = linspace(-ze,0,100);

la = mu*xi - sig2_new/2.*xi.^2 + death;
t12 = log(2)./la;

sig2_alt1 = 0.02; sig2_alt2 = 0.03;
la_alt1 = mu*xi - sig2_alt1/2.*xi.^2 + death;
t12_alt1 = log(2)./la_alt1;
la_alt2 = mu*xi - sig2_alt2/2.*xi.^2 + death;
t12_alt2 = log(2)./la_alt2;

plot(-xi,t12,'r',-xi,t12_alt1,'b--',-xi(10:100),t12_alt2(10:100),'k-.','LineWidth',2)
set(gca,'FontSize',16)
legend('\sigma^2=0.025','\sigma^2=0.02','\sigma^2=0.03','Location','NorthWest')
ylabel('Half Life t_{1/2}(\xi) in Years')
xlabel('Moment under Consideration (equiv. Weight on Tail), -\xi')
xlim([0 1.4])
ylim([0 100])
grid

%ALTERNATIVELY: VARY mu SO AS TO KEEP zeta FIXED
la = (ze + xi).*(death/ze - sig2_new/2.*xi);
t12 = log(2)./la;
la_alt1 = (ze + xi).*(death/ze - sig2_alt1/2.*xi);
t12_alt1 = log(2)./la_alt1;
la_alt2 = (ze + xi).*(death/ze - sig2_alt2/2.*xi);
t12_alt2 = log(2)./la_alt2;

la_steindl = (ze + xi).*death/ze;
t12_steindl = log(2)./la_steindl;

plot(-xi,t12,'r',-xi,t12_alt1,'b--',-xi(10:100),t12_alt2(10:100),'k-.','LineWidth',2)
set(gca,'FontSize',16)
legend('\sigma^2=0.025','\sigma^2=0.02','\sigma^2=0.03','Location','NorthWest')
ylabel('Half Life t_{1/2}(\xi) in Years')
xlabel('Moment under Consideration (equiv. Weight on Tail), -\xi')
xlim([0 1.4])
ylim([0 100])
grid
print -depsc ../figures/fig3.eps