clear all; clc; close all;

%LOAD WEALTH SHARE DATA FROM SAEZ AND ZUCMAN (2016) http://gabriel-zucman.eu/files/SaezZucman2014MainData.xlsx

% SCF WEALTH (FROM SAEZ-ZUCMAN) + WOLFF ANALYSIS of SCF 62-83 (TABLE 3, ADJUSTED ESTIMATES)
load '../data_input/WealthTop1_SCF_Wolff.txt';
load '../data_input/WealthTop01_SCF_Wolff.txt';
load '../data_input/WealthTop10_SCF_Wolff.txt';

% SAEZ-ZUCMAN'S OWN SERIES
load '../data_input/WealthTop01_SZ.txt';
load '../data_input/WealthTop1_SZ.txt';
load '../data_input/WealthTop10_SZ.txt';

%YEARS
load '../data_input/XWealth_SZ.txt';
load '../data_input/XWealth_SCF_Wolff.txt';

wealth_year_SZ = XWealth_SZ;
wealth_top1_SZ = WealthTop1_SZ*100;
wealth_top01_SZ = WealthTop01_SZ*100;
wealth_top10_SZ = WealthTop10_SZ*100;


%TOP 1% WEALTH SHARE
figure
h1 = plot(XWealth_SCF_Wolff,WealthTop1_SCF_Wolff*100,'b',wealth_year_SZ,wealth_top1_SZ,'--b','LineWidth',2);
set(gca,'FontSize',16)
legend(h1,'Survey of Consumer Finances','Saez and Zucman (2016)','Location','NorthWest')
xlabel('Year')
ylabel('Top 1% Wealth Share')
ylim([23 42])
xlim([1950 2012])
grid
print -depsc ../figures/fig7a.eps

%FRACTAL INEQUALITY GRAPH
figure
h1 = plot(XWealth_SCF_Wolff,WealthTop01_SCF_Wolff./WealthTop1_SCF_Wolff,'r',XWealth_SCF_Wolff,WealthTop1_SCF_Wolff./WealthTop10_SCF_Wolff,'b',wealth_year_SZ,wealth_top01_SZ./wealth_top1_SZ,'--r',wealth_year_SZ,wealth_top1_SZ./wealth_top10_SZ,'--b','LineWidth',2);
set(gca,'FontSize',16)
legend(h1,'S(0.1)/S(1) (SCF)','S(1)/S(10) (SCF)','S(0.1)/S(1) (Saez-Zucman)','S(1)/S(10) (Saez-Zucman)','Location','NorthWest')
xlabel('Year')
ylabel('Relative Wealth Share')
ylim([0.3 0.55])
xlim([1950 2012])
grid
print -depsc ../figures/fig7b.eps
